/* components/partner-logos/logos.css */
#references {
    background-color: var(--dark-bg);
    color: var(--text-light);
}

.client-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    justify-content: center;
    align-items: center;
    background: #343a40;
    padding: 20px;
    border-radius: 10px;
}

.client-item {
    transition: transform 0.3s ease;
}

.client-item img {
    max-width: 143px;
    height: 50px;
    object-fit: contain;
    filter: brightness(0) invert(1);
    opacity: 0.7;
    transition: all 0.3s ease-in-out;
}

.client-item.logo-special-case img {
    filter: grayscale(100%) brightness(1.2);
    opacity: 0.8;
}

.client-item:hover img {
    filter: none;
    opacity: 1;
}

.client-item:hover {
    transform: scale(1.1);
}

/* Media queries pre mobilné zobrazenie */
@media (max-width: 768px) {
    .client-grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 25px;
        place-items: center;
    }
    .client-item img {
        width: 100%;
        max-width: 120px;
    }
}

@media (max-width: 480px) {
    .client-grid {
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
    }
}